__gnu_cxx::unary_compose< _Operation1, _Operation2 >(3cxx)

NAME
__gnu_cxx::unary_compose< _Operation1, _Operation2 > - An SGI extension .

SYNOPSIS

Inherits std::unary_function< _Operation2::argument_type, _Operation1::result_type >.

  Public Types

typedef _Operation2::argument_type argument_type
argument_type is the type of the argument
typedef _Operation1::result_type result_type
result_type is the return type

  Public Member Functions

unary_compose (const _Operation1 &__x, const _Operation2 &__y)
_Operation1::result_type operator() (const typename _Operation2::argument_type &__x) const

  Protected Attributes

_Operation1 _M_fn1
_Operation2 _M_fn2

Detailed Description

  template<class _Operation1, class _Operation2>
class __gnu_cxx::unary_compose< _Operation1, _Operation2 >" An SGI extension .

Member Typedef Documentation

  typedef _Operation2::argument_type std::unary_function< _Operation2::argument_type , _Operation1::result_type >::argument_type [inherited]

argument_type is the type of the argument

  typedef _Operation1::result_type std::unary_function< _Operation2::argument_type , _Operation1::result_type >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.